%{?drupal7_find_provides_and_requires}

%global module schema

Name:          drupal7-%{module}
Version:       1.3
Release:       3%{?dist}
Summary:       Module to declare database tables in a structured array

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
Introduced in Drupal 6, the Schema API allows modules to declare their
database tables in a structured array (similar to the Form API) and
provides API functions for creating, dropping, and changing tables,
columns, keys, and indexes.

The Schema module provides additional Schema-related functionality not
provided by the core Schema API that is useful for module developers.
Currently, this includes:

Schema documentation: hyperlinked display of the schema's embedded
documentation explaining what each table and field is for.
Schema structure generation: the module examines the live database and
creates Schema API data structures for all tables that match the live
database.
Schema comparison: the module compares the live database structure with
the schema structure declared by all enabled modules, reporting on any
missing or incorrect tables.
Note for MySQL users: The Schema module requires MySQL 5. Prior versions
of MySQL do not support the INFORMATION_SCHEMA database that the Schema
module uses to inspect the database.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Correct permission bits
chmod a-x *.txt schema.*

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Jun 17 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.3-3
- update to version 1.3

* Sun Apr  9 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.2-2
- remove executable bits on files (mainly for EL6)

* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.2-1
- Initial package

